跳至內容

Video Sound Effects Generator

整合

模型 id cassetteai/video-sound-effects-generator
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cassetteai/video-sound-effects-generator?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video_url": {
      "url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.034 34 API 點數 · ≈ ₽3.65 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
CassetteAI · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

用於分析並重新加入生成音效的影片檔案。

POST /run/cassetteai/video-sound-effects-generator?wait=20 報價 → $0.034
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cassetteai/video-sound-effects-generator?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video_url": {
      "url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Video Sound Effects Generator

僅接收影片檔案,分析影片並生成相符的音效。輸出為加入新 SFX 音軌的最終影片。沒有提示或時長設定,適合快速為無聲片段加入音效。

參數

名稱類型 預設值允許值 說明
video_url必填
類型object
用於分析並重新加入生成音效的影片檔案。
video_url.url必填
類型string
檔案下載 URL。
video_url.content_type選填
類型string | null
識別檔案內容的 MIME 類型。
video_url.file_name選填
類型string | null
檔案名稱;省略時會自動生成。
video_url.file_size選填
類型integer | null
以位元組為單位的檔案大小。
video_url.file_data選填
類型string | null
檔案中包含的資料。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cassetteai/video-sound-effects-generator",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 34,
    "usd": "0.034",
    "charged": 34,
    "refunded": 0
  },
  "input": {
    "video_url": {
      "url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
    }
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size}整合新建立音效軌的最終影片。

更多模型:影片轉音訊

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/cassetteai/video-sound-effects-generator.md. 所有模型與指南: https://doitong.com/developers/llms.txt